Un utente ha chiesto informazioni su Yoast SEO di Wordpress

Link di output “Apri in una nuova scheda” etichetta aria “undefined”

Un utente ha chiesto 👇

Nei blocchi (ed elenchi) di Gutenberg se aggiungo un collegamento e decido di “aprirlo in una nuova scheda” il codice restituisce il collegamento con un’aria-label = non specificata “(si apre in una nuova scheda)”. L’accessibilità non è eccezionale.

Vedi il collegamento Bullet Creative in questa pagina: https://www.surreyhillsarts.org/contact/
Proiettile creativo.

Questo sembra essere appena iniziato per le nuove modifiche ad alcuni dei miei siti. Tutti eseguono le ultime versioni di WP e Yoast: WP (v5.4.2) e Yoast (v14.5). Se disattivo Yoast va tutto bene.

Succede solo su Pages per me, non su Post o tipi di post personalizzati. Ho cercato ma penso che sia una nuova domanda, non vedo nessun indizio. Yoast sembra sovrascrivere le opzioni del pannello Link, poiché aggiunge che “Questo collegamento deve essere ignorato dai motori di ricerca …” e “Questo è un collegamento sponsorizzato o un annuncio pubblicitario …”. Idealmente, non voglio che Yoast aggiunga opzioni a un pannello di connessione WP, preferisco attenermi all’impostazione predefinita. Ma non vede alcun modo per disattivarlo.

Apprezzeremmo tutte le idee. Grazie

Supporto per plugin

(@ mikes41720)

7 mesi, 1 settimana fa

Ciao

Puoi confermare che questo sta accadendo con WordPress 5.4.2, un tema predefinito come TwentyTwenty e Yoast SEO abilitato solo per WordPress v14.5?

Giusto per confermare, il problema è che è in uscita:

target = “_ blank” aria-label = “undefined (opens in new tab)” rel = “noreferrer noopener”> Bullet Creative

Quando decidi di aprire l’opzione in una nuova scheda per la connessione? Ma questo accade solo per le tue pagine ma non per i tuoi post? Puoi dirci qual è l’output dei tuoi post?

Per essere sicuri, vogliamo escludere eventuali conflitti di plugin o temi che potrebbero verificarsi. È il modo più veloce per farlo disattiva tutti i plugin non Yoast e passa al tema standard come Twenty Nineteen.

Provalo sul tuo sito di sviluppo o stage, se ne hai uno. In caso contrario, ti consigliamo di utilizzare il plug-in Controllo dello stato e risoluzione dei problemi. Questo plugin ti consente di eseguire un controllo dei conflitti senza disturbare i normali visitatori del tuo sito.

Poiché possiamo immaginare che non hai familiarità con il controllo dei conflitti, desideriamo guidarti verso una guida passo passo che ti guiderà attraverso il processo: Come verificare la presenza di conflitti tra plug-in.

L’impostazione delle opzioni di connessione autorizzata e sponsorizzata è stata introdotta in Yoast SEO 14.4 – https://yoast.com/yoast-seo-14-4/

Supporto per plugin

(@djennez)

7 mesi, 1 settimana fa

Dovrebbe essere impostato su Yoast 14.7 per PR: https://github.com/Yoast/wordpress-seo/pull/15660

Lanciatore di thread

(@kathybarber)

7 mesi, 1 settimana fa

Sembra che si tratti di un problema noto e la correzione è in arrivo a 14.7. Grazie per le informazioni @djennez. Si può confermare che sta accadendo su una nuova versione di WP, la versione corrente v5.4.2 di Yoast, con il tema TwentyTwenty, nessun altro plugin, nessun conflitto. Controlla la nuova installazione e l’errore si sta verificando su pagine e post. Grazie

Supporto per plugin

(@devnihil)

7 mesi, 1 settimana fa

@kathybarber Grazie per la conferma. Poiché questo è già un problema che viene affrontato in un numero imminente, stiamo procedendo e lo contrassegneremo come una soluzione, facci sapere se hai bisogno di ulteriore assistenza.

Was this helpful?

0 / 0

Lascia un commento 0

Your email address will not be published. Required fields are marked *